package cart

import (
	. "High-Performance-Online-Bookstore/handler"
	"High-Performance-Online-Bookstore/log"
	"High-Performance-Online-Bookstore/model"
	"High-Performance-Online-Bookstore/pkg/berror"
	"High-Performance-Online-Bookstore/service"
	"github.com/gin-gonic/gin"
)

func Clear(c *gin.Context) {
	log.ClearCartCalled(c)

	// get user id
	userID, err := service.GetIDByToken(c)
	if err != nil {
		log.ErrParseToken(err)
		SendResponse(c, berror.ErrParseToken, nil)
		return
	}

	// get cart
	cart, err := model.GetCart(userID)
	if err != nil {
		log.ErrGetCart(err)
		SendResponse(c, berror.ErrGetCart, nil)
		return
	}

	// clear cart
	err = cart.ClearCart()
	if err != nil {
		log.ErrClearCart(err)
		SendResponse(c, berror.ErrClearCart, nil)
		return
	}
	SendResponse(c, nil, nil)
}
